org.apache.xmlbeans.impl.repackage

## Class Repackager

- java.lang.Object
- - org.apache.xmlbeans.impl.repackage.Repackager

    public class Repackager
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Repackager(String repackageSpecs)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `dirForPath(String path)`
`List<List<String>>` `getFromPackages()`
`List<List<String>>` `getToPackages()`
`StringBuffer` `repackage(StringBuffer sb)`
`static List<String>` `splitPath(String path, char separator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Repackager

    public Repackager(String repackageSpecs)

### Method Detail

#### repackage

    public StringBuffer repackage(StringBuffer sb)

#### getFromPackages

    public List<List<String>> getFromPackages()

#### getToPackages

    public List<List<String>> getToPackages()

#### splitPath

    public static List<String> splitPath(String path,
                                         char separator)

#### dirForPath

    public static String dirForPath(String path)